Bug 202532 - Airsnort tries to use /sbin/wlanctl-ng which is not available
Airsnort tries to use /sbin/wlanctl-ng which is not available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: airsnort (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-14 18:55 EDT by Roland Wolters
Modified: 2009-11-10 21:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 03:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2006-08-14 18:55:46 EDT
Description of problem:
When I start airsnort and try to use the driver type wlan-ng the application 
reports lots of errors in the terminal while trying to search for data on 
channels:
# airsnort
/sbin/wlanctl-ng eth1 lnxreq_ifstate ifstate=enable > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=3 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=4 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=5 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=6 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=7 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=8 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden
/sbin/wlanctl-ng eth1 lnxreq_wlansniff enable=true channel=9 
keepwepflags=false prismheader=false > /dev/null
sh: /sbin/wlanctl-ng: Datei oder Verzeichnis nicht gefunden

"Datei oder Verzeichnis nicht gefunden" means in this case something 
like "File or directory not found".

However, Fedora Core or Fedora Extras do not provide a file /sbin/wlanctl-ng 
which I could install. This should be solved by dependency on an appropriate 
package, or this part should be deactivated somehow.
Comment 1 Andreas Bierfert 2006-08-15 03:31:20 EDT
The wlan-ng drivers are currently not part of fedora {core,extras}. This is why
you get this error msg when setting the wlan-ng option. Afaik you should only
use the wlan-ng option if you actually use the wlan-ng driver which means that
you should have the tools needed installed as well. So imho this should neither
be a Requires nor deactivated.
Comment 2 Alex Smirnoff 2009-11-10 21:33:34 EST
Am i right that ipw2200 does not provide rtap interface on fc11?

Note You need to log in before you can comment on or make changes to this bug.